<?php

/*
 * Nombre: lang_es_chemlab_params.php
 * Revisado por: Daniel Hinostroza <care2x@cerebroperiferico.com>
 * Versión: CARE2X 2nd Generation Deployment 2.6.27
 * Fecha: 07.09.2006
 */

/**
* These are the chemical lab test groups and parameters. If you are not sure of their exact translation please leave it in the original form
*/
$top_param=array(
	'00q'=>'Quick',
	'00ptt'=>'TTP',
	'00hb'=>'Hb',
	'00hc'=>'Hematócrito',
	'00pla'=>'Plaquetas',
	'00rbc'=>'Contaje eritrocitario',
	'00wbc'=>'Contaje leucocitario',
	'00ca'=>'Calcio',
	'00na'=>'Sodio',
	'00k'=>'Potasio',
	'00sug'=>'Glucemia');

// Parámetros de química clínica
$klinichemie_list0=array(	
	'0aph'=>'Fosf. alcalina',
	'0agt'=>'Alfa GT',
	'0amm'=>'Amoniaco',
	'0amy'=>'Amilasa',
	'0bit'=>'Bilirr. total',
	'0bid'=>'Bilirr. directa',
	'0ca'=>'Calcio',
	'0chl'=>'Cloro',
	'0cho'=>'Colest.',
	'0chol'=>'Colinesterasa',
	'0ccmb'=>'CKMB',
	'0cpc'=>'Creatinfosfoquinasa',
	'0crp'=>'CRP',
	'0fe'=>'Hierro',
	'0rbc'=>'Contaje eritrocitario',
	'0fhb'=>'HgB libre',
	'0gldh'=>'GLDH',
	'0got'=>'SGOT',
	'0gpt'=>'SGPT',
	'0ucid'=>'�cido úrico',
	'0urea'=>'Urea',
	'0hbdh'=>'HBDH',
	'0hdlc'=>'HDL Colesterol',
	'0pot'=>'Potasio',
	'0cre'=>'Creatinina',
	'0co'=>'Cobre',
	'0lac'=>'Lactato en plasma',
	'0ldh'=>'LDH',
	'0ldlc'=>'LDL Colesterol',
	'0lip'=>'Lipasa',
	'0lpid'=>'Lípido Elpho',
	'0mg'=>'Magnesio',
	'0myo'=>'Mioglobina',
	'0na'=>'Sodio',
	'0osm'=>'Osmolal.',
	'0pho'=>'Fosfor',
	'0glo'=>'Azúcar sérica',
	'0tri'=>'Tri',
	'0tro'=>'Troponina T' );

// Parámetros LCR
$liquor_list1=array(
	'1stat'=>'Estado LCR',
	'1elp'=>'LCR elpho',
	'1oli'=>'IgG Oligoclonales',
	'1sch'=>'Esquema Reiber',
	'1a1'=>'A1');

// Parámetros Gerinnung 
$gerinnung_list2=array(
	'2fiby'=>'Fibrinolisis',
	'2q'=>'Quick',
	'2ptt'=>'TTP',
	'2ptz'=>'PTZ',
	'2fibg'=>'Fibrinógeno',
	'2fibs'=>'Sol.Fibr.mon.',
	'2fsp'=>'Dímero FSP',
	'2coag'=>'Tr.Coagul.',
	'2at3'=>'AT III',
	'2f8'=>'Factor VII',
	'2apc'=>'Resistencia APC',
	'2prc'=>'Proteína C',
	'2prs'=>'Proteína S',
	'2bt'=>'Tiempo de sangrado');

//Parámetros Hematología
$haematologie_list3=array(
	'3ret'=>'Reticulocitos',
	'3mal'=>'Malaria',
	'3hbe'=>'Hb Elpho',
	'3hla'=>'HLA B 27',
	'3tab'=>'Plaquetas AB',
	'3wbp'=>'WBC Fosf.');

// Parámetros azúcar en sangre 
$blutzucker_list4=array(
	'4bsf'=>'Glucemia en ayunas',
	'4bs9'=>'Glucemia 9:00',
	'4bsp'=>'Glucemia p.prandial',
	'4bs15'=>'Glucemia 15:00',
	'4bs1'=>'Glucemia 1',
	'4bs2'=>'Glucemia 2',
	'4glo'=>'Pr. tolerancia a la glucosa',
	'4lac'=>'Pr. tolerancia a la lactosa',
	'4hba'=>'HBA 1c',
	'4fru'=>'Fructosamina');

// Parámetros RN
$saeugling_list5=array(
	'5bil'=>'Bilirrubina neonatal',
	'5bilc'=>'Bilirrubina en cordón umb.',
	'5bild'=>'Bilirrubina directa',
	'5glo1'=>'Glucemia neonatal 1',
	'5glo2'=>'Glucemia neonatal 2',
	'5ret'=>'Reticulocitos',
	'5b1'=>'B1');

// Parámetros Proteínas
$proteine_list6=array(
	'6tot'=>'Proteinas totales',
	'6alb'=>'Albúmina',
	'6elp'=>'Elpho',
	'6imm'=>'Fijación inmune',
	'6b2'=>'Beta2 Microglobulina en suero',
	'6img'=>'Inmunoglobulina cuant.',
	'6ige'=>'IgE',
	'6hap'=>'Haptoglobina',
	'6tra'=>'Transferrina',
	'6fer'=>'Ferritina',
	'6coe'=>'Ceruloplasmina',
	'6alp'=>'Alfa 1 antitripsina',
	'6afp'=>'Alfafetoprot. grav.',
	'6ssw'=>'SSW:',
	'6mic'=>'Alfa 1 Microglobulina');

// Parámetros tiroideos
$schilddruse_list7=array(
	'7t3'=>'T3',
	'7t4'=>'Tiroxina/T4',
	'7tshb'=>'TSH basal',
	'7tshs'=>'TSH estim.',
	'7tab'=>'TAB',
	'7mab'=>'MAB',
	'7trab'=>'TRAB',
	'7glob'=>'Tiroglobulina',
	'7thx'=>'Glob. ligad. tiroxina',
	'7ft3'=>'T3 libre',
	'7ft4'=>'T4 libre');

// Parámetros Hormonales
$hormone_list8=array(
	'8acth'=>'ACTH',
	'8ald'=>'Aldosterona',
	'8cal'=>'Calcitonina',
	'8cor'=>'Cortisol',
	'8dcor'=>'Cortisol día',
	'8fsh'=>'FSH',
	'8gas'=>'Gastrina',
	'8hcg'=>'HCG',
	'8ins'=>'Insulina',
	'8cat'=>'Catecolaminas en plasma',
	'8lh'=>'LH',
	'8osd'=>'Estradiol',
	'8osd'=>'Estriol',
	'8ssw'=>'SSW:',
	'8par'=>'Paratohormona',
	'8prg'=>'Progesterona',
	'8pr1'=>'Prolactina I',
	'8pr2'=>'Prolactina II',
	'8ren'=>'Renina',
	'8ser'=>'Serotonina',
	'8som'=>'Somatomedina C',
	'8tes'=>'Testosterona',
	'8c1'=>'C1');

// Parámetros marcadores tumorales
$tumormarker_list9=array(
	'9afp'=>'AFP',
	'9c153'=>'CA. 15 3',
	'9c199'=>'CA. 19 9',
	'9c125'=>'CA. 125',
	'9cea'=>'CEA',
	'9c212'=>'Cyfra. 21 2',
	'9hcg'=>'HCG',
	'9nse'=>'NSE',
	'9psa'=>'PSA',
	'9scc'=>'SCC',
	'9tpa'=>'TPA');

// Parámetros Gewebe AK
$gewebeak_list10=array(
	'10ana'=>'ANA',
	'ama'=>'AMA',
	'10dnsab'=>'DNS AB',
	'10asm'=>'ASMA',
	'10ena'=>'ENA',
	'10anc'=>'ANCA');

// Factor reumatoide
$rheumafakt_list11=array(
	'11ast'=>'Titulación antiestrepto.',
	'11lrf'=>'FR lat.',
	'11stz'=>'Streptozim',
	'11waa'=>'Waaler Rose');

// Parámetros Hepatitis 
$hepatitis_list12=array(
	'12hav'=>'Anti HAV',
	'12hai'=>'Anti HAV IgM',
	'12hba'=>'Antigeno Hbs',
	'12hbt'=>'Titulación Anti HBs',
	'12hbe'=>'Anti HBe',
	'12hbc'=>'Anti HBc',
	'12hci'=>'Anti HBc.IgM',
	'12hcv'=>'Anti HCV',
	'12hda'=>'Hep.D Delta A.',
	'12hev'=>'Anti HEV');

// Parámetros Punción biopsia
$punktate_list13=array(
	'13pro'=>'Proteína en biopsia',
	'13ldh'=>'LDH en biopsia',
	'13cho'=>'Colest.en biopsia',
	'13cea'=>'CEA en biopsia',
	'13afp'=>'Alfafetoprot. en biopsia',
	'13ure'=>'�cido úrico en biopsia',
	'13rhe'=>'Factor reumat. en biopsia',
	'13d1'=>'D1',
	'13d2'=>'D2');

// Serología infecciones
$infektion_list14=array(
	'14stap'=>'Titulación antiestafil.',
	'14ade'=>'Ac. Adenovirus',
	'14bor'=>'Ac. Borrelia',
	'14bori'=>'Borr.Inmunoblot',
	'14bru'=>'Ac. Brucellia',
	'14cam'=>'Ac. Campylob.',
	'14can'=>'Ac. Candida',
	'14car'=>'Virus Cardiotr.',
	'14chl'=>'Ac. Chlamydia',
	'14psi'=>'Ac. Chlam. psittaci',
	'14cox'=>'Ac. Coxsack.',
	'14qf'=>'Ac. Coxiella burn. (fiebre Q)',
	'14cyt'=>'Ac. Citomegal.',
	'14ebv'=>'Ac. EBV',
	'14ecc'=>'Ac. Echinococcus',
	'14ecv'=>'Ac. Echovirus',
	'14fsme'=>'Ac. FSME',
	'14hs1'=>'Ac. Herpes simp. I',
	'14hs2'=>'Ac. Herpes simp. II',
	'14hiv'=>'Ac. HIV1/HIV2',
	'14ina'=>'Ac. Influenza A',
	'14inb'=>'Ac. Influenza B',
	'14lcm'=>'Ac. LCM',
	'14leg'=>'Ac. Legionella pneum.',
	'14lep'=>'Ac. Leptospira',
	'14lis'=>'Ac. Listeria',
	'14mas'=>'Ac. Masern',
	'14mon'=>'Ac. Mononucleosis',
	'14mum'=>'Ac. Paperas',
	'14myc'=>'Ac. Mycoplas.pneum',
	'14neu'=>'Ac. Neutrop Virus',
	'14pi2'=>'Ac. Parainfluenza II',
	'14pi3'=>'Ac. Parainfluenza III',
	'14pic'=>'Ac. Picornavirus',
	'14vric'=>'Ac. Rickettsia',
	'14rot'=>'Ac. Röteln',
	'14roi'=>'Estado de inmunidad Röteln',
	'14rsv'=>'Ac. RS Virus',
	'14shi'=>'Ac. Shigella/Salm',
	'14tox'=>'Ac. Toxoplasma',
	'14tpha'=>'TPHA',
	'14vrc'=>'Ac. Varicella (no es varicela)',
	'14yer'=>'Ac. Yersinia',
	'14e1'=>'E1',
	'14e2'=>'E2',
	'14e3'=>'E3',
	'14e4'=>'E4');

// Medicamentos
$medikamente_list15=array(
	'15ami'=>'Amiodarona',
	'15bar'=>'Barbitúricos en suero',
	'15ben'=>'Benzodiacep. en suero',
	'15car'=>'Carbamazepina',
	'15clo'=>'Clonazepam',
	'15dig'=>'Digitoxina',
	'15dgo'=>'Digoxina',
	'15gen'=>'Gentamicina',
	'15lit'=>'Litio',
	'15phe'=>'Fenobarbital',
	'15pny'=>'Fenitoína',
	'15pri'=>'Primidona',
	'15sal'=>'�cido salicílico',
	'15the'=>'Teofilina',
	'15tob'=>'Tobramicina',
	'15val'=>'�cido valproico',
	'15van'=>'Vancomicina',
	'15amp'=>'Anfetaminas en orina',
	'15ant'=>'Antidepresivos en orina',
	'15bau'=>'Barbitúricos en orina',
	'15beu'=>'Benzodiacepinas en orina',
	'15can'=>'Cannabinol en orina',
	'15coc'=>'Cocaína en orina',
	'15met'=>'Metadona en orina',
	'15opi'=>'Opiáceos en orina');

// Embarazo
$muttersch_list16=array(
	'16chl'=>'Chlamyd.cult./SSW',
	'16ssw'=>'SSW:',
	'16dow'=>'Tamizaje Down',
	'16stb'=>'Prueba rápida Strep. B',
	'16tpha'=>'TPHA',
	'16hbs'=>'HBs Ag',
	'16hiv'=>'HIV1/HIV2 AV' );

// Heces
$stuhl_list17=array(
	'17chy'=>'Quimotripsina',
	'17ob1'=>'Sangre oculta 1',
	'17ob2'=>'Sangre oculta 2',
	'17ob3'=>'Sangre oculta 3');

// Rarezas
$raritaeten_list18=array(
	'18rh'=>'H. raro',
	'18re'=>'E. raro',
	'18rs'=>'S. raro',
	'18uri'=>'Orina rara',
	'18f1'=>'F1',
	'18f2'=>'F2',
	'18f3'=>'F3');

// Orina / Orina espontánea
$urin_list19=array(
	'19amy'=>'Amilasa en orina',
	'19sug'=>'Azúcar en orina',
	'19pro'=>'Proteína en orina',
	'19alb'=>'Albúmina en orina',
	'19osm'=>'Osmol. en orina',
	'19pre'=>'Prueba de embarazo',
	'19cym'=>'Cytomeg. en orina',
	'19cyt'=>'Citología en orina',
	'19bj'=>'Bence Jones',
	'19elp'=>'Orina elpho',
	'19bm2'=>'Beta2 microglobulina en orina');

// Sammelurin
$sammelurin_list20=array(
	'20adc'=>'Addis Count',
	'20na'=>'Sodio en orina',
	'20k'=>'Potasio en orina',
	'20ca'=>'Calcio en orina',
	'20pho'=>'Fósforo en orina',
	'20ura'=>'�cido úrico en orina',
	'20cre'=>'Creatinina en orina',
	'20por'=>'Porfirina en orina',
	'20cor'=>'Cortisol en orina',
	'20hyd'=>'Hidroxiprolina en orina',
	'20cat'=>'Catecolaminas en orina',
	'20pan'=>'Pancreol.',
	'20gam'=>'Gamma-aminolevulinsre.en orina');

// Especiales
$sonstiges_list21=array(
	'21bal'=>'Alcohol en sangre',
	'21cdt'=>'CDT',
	'21vb12'=>'Vitamina B12',
	'21fol'=>'�cido fólico',
	'21inab'=>'Ac. insulina',
	'21iab'=>'Ac. intrínsecos',
	'21sto'=>'Análisis de cálculos',
	'21ace'=>'ACE',
	'21g1'=>'G1',
	'21g2'=>'G2',
	'21g3'=>'G3',
	'21g4'=>'G4',
	'21g5'=>'G5',
	'21g6'=>'G6',
	'21g7'=>'G7',
	'21g8'=>'G8',
	'21g9'=>'G9',
	'21g10'=>'G10');

?>